

.npm-header {
    background: white;
    padding: 8px var(--x-padding) 8px var(--x-padding);
    display: flex;
    justify-content: space-between;
}

.logo-name_npm-name {
    color: #00BEA2
}
.npm-header_logo_name {
    color: black;
}
.user-name-link {
    font-weight: bold;
    margin-right: 10px;
}
.npm-header__action-block {
    display: flex;
    gap: 15px;
    place-items: center;
}
.search-container {
    margin: 26px var(--x-padding);
}
.content {
    margin: 26px var(--x-padding);
    display: flex;
    gap: 10px;
    box-sizing: border-box;
    max-width: 100vw;
}
.search-input__version {
    width: 220px;
}
.search-input__input {
    flex-grow: 1;
}
@media (width <= 1200px) {
    .content {
        flex-direction: column;
    }

}
@media (width > 1200px) {
    .content__part {
        max-width: 50%;
    }

}
@media (width < 500px) {
    .npm-header {
        justify-content: normal;
        flex-direction: column;
    }
    .search-input{
        flex-direction: column;
    }
    .search-input__version {
        width: 100%;
    }
    .search-input__input {
        width: 100%;
    }
}
@media (width > 500px) {
    .search-input__input {
        max-width: 600px;
    }
}
.search-input{
    display: flex;
    gap: 8px;
    max-width: 100%
}

.content__part {
    flex-grow: 1;
}

.value-item {
    background: white;
    border-radius: 10px;
    padding: 8px 30px;
    display: flex;
    justify-content: space-between;
}

.project-info {
    display: flex;
    gap: 5px;
}
.projects-list {
    display: flex;
    gap: 14px;
    flex-direction: column;
    margin-right: 10px;
    max-height: calc(100vh - 200px);
    overflow-y: auto;
}

.content__part_graph {
    display: flex;
    justify-content: center;
}

.graph {
    height: 50vh;
    width: 100%;
}
.graphics {
    display: flex;
    flex-direction: column;
    width: 100%;
    background: white;
    border-radius: 10px;

}

.graphics__placeholder {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 200px 0;
}

.graphics__placeholder__text {
    color: #ADADAD;
}
.packages-list {
    width: min(700px, 94vw);
}
.packages-list__scroller {
    max-height: 65vh;
    overflow-y: auto;
    margin-bottom: 20px;
}

.packages-list__package {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 2px solid #ADADAD;
    padding: 0 10px;
}
.package_click {
    cursor: pointer;
}
.back_button {
    cursor: pointer;
    color: #3D3D3D;
}
.package__version {
    color: #007564;
}
.package__title {
    color: #007564;
    margin-top: -15px;
    margin-bottom: 2px;
}
.green-icon {
    color:  #007564;
}
.packages-modal__help {
    margin-top: 5px;
}

.last-update-info {
    color: #ADADAD;
    font-size: 14px;
}

.total-repos {
    color: #ADADAD;
    margin-top: 6px;
}

.search-input__button {
    margin-left: 10px;
}

.total-repos__number {
    color: #3D3D3D;
}

.content__part_packages {

}

.projects-list__pagination {
    align-self: center;
}

.loader-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.packet-name__info {
    font-size: 10px;
    color: #ADADAD;
    margin-right: 5px;
}

.package__history {
    display: flex;
    flex-direction: column;
}

.package__version_history {
    font-size: 18px;
}

.error-block {
    color: #2d0c0c;
    text-align: center;
    margin-bottom: 15px;
    margin-top: -20px;
}